import { jsx } from "react/jsx-runtime";
import { Hockey as Hockey$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Hockey = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Hockey", ...props, children: /* @__PURE__ */ jsx(Hockey$1, { weight: variant }) });
  }
);
Hockey.displayName = "Hockey";
Object.assign(Hockey, { isGdsIcon: true });
export {
  Hockey
};
